tutorialRequirementScreen_titleText = ""
tutorialRequirementScreen_descText = ""
tutorialRequirementScreen_descText = ""
tutorialRequirementScreen_undertitleText = ""
tutorialRequirementScreen_requirementCol1Text = ""
tutorialRequirementScreen_requirementCol2Text = ""
tutorialRequirementScreen_requirementCol3Text = ""
tutorialRequirementScreen_requirementCol4Text = ""

function tutorialRequirementScreen_afterWindowClose()
	cfunction("transitionToState", "tutorialInformationScreen")
end

function tutorialRequirementScreen_onSubmitPressed()			
	cfunction("showFontOverlay", "tutorial_title", 0, 100, 0, 50)
	cfunction("showFontOverlay", "tutorial_desc", 0, 100, 0, 100)
	cfunction("showFontOverlay", "tutorial_undertitle", 0, 100, 0, 150)
	cfunction("showFontOverlay", "tutorial_requirementCol1", 0, 100, 75, 170)
	cfunction("showFontOverlay", "tutorial_requirementCol2", 0, 100, 190, 170)
	cfunction("showFontOverlay", "tutorial_requirementCol3", 0, 100, 275, 170)
	cfunction("showFontOverlay", "tutorial_requirementCol4", 0, 100, 330, 170)			
	closePopupWindow("tutorialRequirementScreen_afterWindowClose")			
end

function tutorialRequirementScreen_onEnterState()	
	createWindowFrame("tutorialRequirementScreen_afterWindowOpen", 3.8, 0)	
end

function tutorialRequirementScreen_afterWindowOpen()
	cfunction("showFontOverlay", "tutorial_title", 1, 100, 0, 50)
	cfunction("setFontOverlayText", "tutorial_title", '\05'..tutorialRequirementScreen_titleText)
	
	cfunction("showFontOverlay", "tutorial_undertitle", 1, 100, 0, 230)
	cfunction("setFontOverlayText", "tutorial_undertitle", '\05'..tutorialRequirementScreen_undertitleText)
	
	cfunction("showFontOverlay", "tutorial_desc", 1, 100, 0, 100)
	cfunction("setFontOverlayText", "tutorial_desc", '\05'..tutorialRequirementScreen_descText)
	
	cfunction("showFontOverlay", "tutorial_requirementCol1", 1, 100, 75, 170)
	cfunction("setFontOverlayText", "tutorial_requirementCol1", '\04'..tutorialRequirementScreen_requirementCol1Text)
		
	cfunction("showFontOverlay", "tutorial_requirementCol2", 1, 100, 190, 170)
	cfunction("setFontOverlayText", "tutorial_requirementCol2", '\04'..tutorialRequirementScreen_requirementCol2Text)
	
	cfunction("showFontOverlay", "tutorial_requirementCol3", 1, 100, 275, 170)
	cfunction("setFontOverlayWidth", "tutorial_requirementCol3", 80)
	cfunction("setFontOverlayText", "tutorial_requirementCol3", '\06'..tutorialRequirementScreen_requirementCol3Text)
	
	cfunction("showFontOverlay", "tutorial_requirementCol4", 1, 100, 370, 170)
	cfunction("setFontOverlayText", "tutorial_requirementCol4", '\04'..tutorialRequirementScreen_requirementCol4Text)
end

function tutorialRequirementScreen_onLeaveState()				
end
